// SyncInfo
// Hack to get pickup skins and custom meshes working on client side, since pickups can't be RemoteRole SimulatedProxy
class SyncInfo extends ReplicationInfo;

var P2PickupCustom MyPick; // Pickup we're associated with
var StaticMesh PickupMesh; // Static mesh for our pickup
var array<Material> PickupSkins; // Skins for our pickup

// Replication
// ensure our mesh and skins get replicated.
replication
{
	unreliable if (Role == ROLE_Authority && bNetDirty)
		MyPick, PickupMesh, PickupSkins;
}

// PostBeginPlay
// Set our pickup info and get skin and mesh info.
event PostBeginPlay()
{
	MyPick = P2PickupCustom(Owner);
	if (MyPick == None)
		Destroy();
	else
	{
		PickupMesh = MyPick.PickupMesh;
		PickupSkins = MyPick.PickupSkins;
	}
}

// Tick
// Set pickup mesh and skins on client side.
simulated event Tick(float Delta)
{
	local int i;

	// Abort if player can't see us
	if (!MyPick.PlayerCanSeeMe() || Level.NetMode == NM_DedicatedServer)
		return;

	if (MyPick.StaticMesh != PickupMesh && PickupMesh != None)
	{
		MyPick.SetDrawType(DT_StaticMesh);
		MyPick.SetStaticMesh(PickupMesh);
	}

	for (i=0; i<PickupSkins.Length; i++)
		if (MyPick.Skins[i] != PickupSkins[i])
			MyPick.Skins[i] = PickupSkins[i];
}

defaultproperties
{
	RemoteRole=ROLE_SimulatedProxy
}
